#if !defined(AFX_TPG_VIEW_HPP__E5484AF5_492D_11D1_9A42_006097BAFA4F__INCLUDED_)
#define AFX_TPG_VIEW_HPP__E5484AF5_492D_11D1_9A42_006097BAFA4F__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// TPG_View.hpp : header file
//
#include "PGen_Res.h"

#include "SCR.h"
#include "CTL.h"

/////////////////////////////////////////////////////////////////////////////
// TPG_View form view

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif

#include <afxtempl.h>

class CPA_PartGen_MyDocument;
class CPA_PartGen_Generator;
class CPA_PartGen_System;
class CPA_PartGen_Source;
class CPA_PartGen_Environment;
class TPG_Sprite;


class TPG_View : public CTL_Editor_BaseFormView
{
protected:
	TPG_View();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(TPG_View)

// Form Data
public:
	//{{AFX_DATA(TPG_View)
	enum { IDD = IDD_DIALOG_TPG_VIEW };
	//}}AFX_DATA

// Attributes
public:

// Operations
public:
	CPA_PartGen_MyDocument * m_pub_fn_p_clGetDocument(void);

	void m_pub_fn_vDisplayGeneratorInZone( CPA_PartGen_Generator*, CPoint*, CPoint* );
	void m_pub_fn_vDisplaySourceInZone( CPA_PartGen_Source*, CPoint *, CPoint * );
	void m_pub_fn_vDisplaySystemInZone( CPA_PartGen_System*, CPoint*, CPoint* );
	void m_pub_fn_vDisplayEnvInZone( CPA_PartGen_Environment*, CPoint*, CPoint* );

private:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(TPG_View)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~TPG_View();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
	//{{AFX_MSG(TPG_View)
	afx_msg void OnButtonDelete();
	afx_msg void OnButtonNew();
	afx_msg void OnButtonDeleteenv();
	afx_msg void OnButtonDeletesystem();
	afx_msg void OnButtonNewenv();
	afx_msg void OnButtonNewsystem();
	afx_msg void OnButtonRenameenv();
	afx_msg void OnButtonRenamesystem();
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
// CPA_Dialog_GeneratorNewName dialog

class CPA_Dialog_GeneratorNewName : public CDialog
{
// Construction
public:
	CPA_Dialog_GeneratorNewName(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CPA_Dialog_GeneratorNewName)
	enum { IDD = IDD_DIALOG_NEWGENRATORNAME };
	CString	m_csNewGeneratorName;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPA_Dialog_GeneratorNewName)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPA_Dialog_GeneratorNewName)
	afx_msg void OnDestroy();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
/////////////////////////////////////////////////////////////////////////////
// CPA_Dialog_SystemNewName dialog

class CPA_Dialog_SystemNewName : public CDialog
{
// Construction
public:
	CPA_Dialog_SystemNewName(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CPA_Dialog_SystemNewName)
	enum { IDD = IDD_DIALOG_SYSTEM_NEW };
	CString	m_csNewSystemName;
	long	m_lNbParticles;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPA_Dialog_SystemNewName)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPA_Dialog_SystemNewName)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
/////////////////////////////////////////////////////////////////////////////
// CPA_Dialog_Warning dialog

class CPA_Dialog_Warning : public CDialog
{
// Construction
public:
	CPA_Dialog_Warning(CWnd* pParent = NULL, CString _csText = "");   // standard constructor

// Dialog Data
	//{{AFX_DATA(CPA_Dialog_Warning)
	enum { IDD = IDD_DIALOG_WARNING };
	CString	m_csWarningText;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPA_Dialog_Warning)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPA_Dialog_Warning)
	afx_msg void OnDestroy();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TPG_VIEW_HPP__E5484AF5_492D_11D1_9A42_006097BAFA4F__INCLUDED_)
